//MenuPrincipal
using UnityEngine;
using System.Collections;
using UnityEngine.UI;


public class MenuPrincipal : MonoBehaviour {

    public Image btVolume;
    public Image btJogar;
    public Image btInstrucoes;
    public Image btSair;
    public Image btCreditos;
    public GCCamera camera;

    //PainelPrincipal
    public void botaoJogar()
    {
        Application.LoadLevel("ModoDeJogo");
    }

    public void botaoInstrucoes()
    {
        Application.LoadLevel("Instrucao");
    }

    public void botaoSair()
    {
        Application.Quit();// Fecha o jogo
    }

    public void botaoCreditos()
    {
        Application.LoadLevel("Creditos");
    }

    /*void Awake()
    {
        if (!PlayerPrefs.HasKey("volume")) //Senão existir nenhuma informação já salva
            PlayerPrefs.SetInt("volume", 1); //Definimos o volume como ativo

        var volume = PlayerPrefs.GetInt("volume");
        var color = btVolume.color;
        if (volume == 1)
            color.a = 1f; //Alteramos o valor de alpha
        else
            color.a = 0.4f; //Alteramos o valor de alpha
        btVolume.color = color;
    }

    public void botaoVolume()
    {
        Awake();
        var volume = PlayerPrefs.GetInt("volume");
        var color = btVolume.color;
        if (volume == 1)
        {
            PlayerPrefs.SetInt("volume", 0);
            color.a = 0.4f; //Alteramos o valor de alpha
            camera.desabilitarSom();
        }
        else
        {
            PlayerPrefs.SetInt("volume", 1);
            color.a = 1f; //Alteramos o valor de alpha
            camera.habilitarSom();
        }
        btVolume.color = color;
    }*/


}
